0 Пользователей и 1 Гость просматривают эту тему.
  • 32 Ответов
  • 17449 Просмотров
*

zaur111

  • Давно я тут
  • 210
  • 6 / 0
Здравствуйте! Захожу в админку > менеджер расширений > Обновления и при попытке найти обновления ничего не происходит. Хотел очистить кэш выдает вот такое сообщение - Не удалось очистить кэш обновлений, не удалось включить обновления. Зашел в менеджер плагинов - плагины обновления включены. У меня стоит Joomla 2.5.4 хочу найти обновления - ничего не происходит - ни обновления не находит, ни ошибку не выдает. В чем может быть дело?
*

b2z

  • Support Team
  • 7512
  • 749 / 0
  • Разраблю понемногу
Ну попробуйте обновиться вручную:

1. Скачайте патч и залейте его поверх.
2. Зайдите в Менеджер расширений: База данных и если есть ошибки, то исправьте.
3. В базе используя phpMyAdmin исправьте версию на 2.5.6 в поле manifest_cache, таблицы #__extensions для записи с id '700'.

Как бы все ;)
*

zaur111

  • Давно я тут
  • 210
  • 6 / 0
Ну попробуйте обновиться вручную:

1. Скачайте патч и залейте его поверх.
2. Зайдите в Менеджер расширений: База данных и если есть ошибки, то исправьте.
3. В базе используя phpMyAdmin исправьте версию на 2.5.6 в поле manifest_cache, таблицы #__extensions для записи с id '700'.

Как бы все ;)
Ну я в итоге так и сделал. Но проблема в том, что Joomla очень часто обновляется и вручную обновлять не очень приятная процедура для меня. И вообще, автоматическое обновление это одна из тех прелестных фишек, что появилась в новой Joomla. Вот как решить эту проблему? Неужели ни у кого такого не было?
*

Marques

  • Живу я здесь
  • 1443
  • 190 / 9
  • Ctrl+F5
Это зависит не от Joomla, а от конфига сервера вашего хостинга. Очень много нюансов.
Зануда перфекционист, не признающий авторитетов, ищет легкую работу за большие деньги - http://dtkp.ru/ s@dtkp.ru
*

alpeichik

  • Осваиваюсь на форуме
  • 45
  • 1 / 0
  • Alpei
Здравствуйте, у меня 5 сайтов - все стоят на одном сервере, и у всех настройки идентичны. Всё одинаковое, но 1 сайт автоматическое обновление не видит  с версии 2.5.8 до 2.5.9. Может быть ещё время какое-то должно пройти. Т.к. получается мистика.
*

LevPrushiy

  • Новичок
  • 1
  • 0 / 0
  • Хочу все знать
Я например всегда в ручную обновляю и не вижу в этом проблемы.
Спасибо за ответ
*

alpeichik

  • Осваиваюсь на форуме
  • 45
  • 1 / 0
  • Alpei
Решено, нужно почистить кеш, который на странице с поиском обновлений.
*

igagarin

  • Захожу иногда
  • 18
  • 0 / 0
Похожая проблема: в январе обновился автоматическим обновлением до 2.5.8, в феврале система автоматического обновления не видит 2.5.9, кэш чистил.
*

komert

  • Осваиваюсь на форуме
  • 125
  • 1 / 0
Решено, нужно почистить кеш, который на странице с поиском обновлений.

Спасибо!
*

aswer

  • Осваиваюсь на форуме
  • 30
  • 4 / 0
Подскажите что эта за страница поиска обновлений и как почистить кеш? В браузере? Firefox
*

Rex_One

  • Завсегдатай
  • 465
  • 36 / 0
Подскажите что эта за страница поиска обновлений и как почистить кеш? В браузере? Firefox
1. (Joomla) Менеджер расширений: Обновление — КНОПКА Очистить кэш
2. (Firefox) Инструмены> Стереть недавнюю историю (поставить вехде галочки и нажать ОЧИСТИТЬ СЕЙЧАС).
Кривизна рук не компенсирует прямизну извилин.
*

aswer

  • Осваиваюсь на форуме
  • 30
  • 4 / 0
Спасибо тебе добрый человек! Помогло!
*

Zigfrid

  • Новичок
  • 1
  • 0 / 0
Прошу помощи, у меня также не работает автоматическое обновление. Версия 1.7.5 русская, исходник с JoomlaPortal.
Захожу в Менеджер расширений - обновления: "В данный момент обновления отсутствуют. Пожалуйста, проверьте еще раз позже."
Очищаю кэш, делаю поиск обновлений - "Update: :Extension: Не удалось открыть http://www.akeebabackup.com/index.php?option=com_ars&view=update&task=stream&id=5&format=xml/extension.xml" Понятно, у меня стоит АкибаБэкап, тоже не хочет обновляться, но Бог с ним. Снова очищаю кэш: "Кэш обновлений очищен, 1 отключенный ранее сайт обновлений был включен".
Я бы конечно подсунул Joomla пакет обновлений вручную, да вот беда, не могу найти такой ни тут, ни на Joomla.org. Со вторых версий обновлений - полно, а вот с 1.7 - не нашел. Помогите обновиться!
*

sav1974

  • Захожу иногда
  • 22
  • 0 / 0
Тоже столкнулся с проблемой автоматического обновления, прям не знаю где копать ...
Раньше работал, кажется с версии 2.5.11. перестал (примерно, а может и раньше).
Для меня не проблема обновиться в ручную, но мне удобно зайти в админку и увидеть, что обновление существует, а сейчас ... всегда пишет, что обновлений нет, версия самая свежая.
После очистки кэша пишет:
Кэш обновлений очищен, 3 отключенных ранее сайта обновлений были включены
После поиска обновлений:
        Update: :Collection: Не удалось открыть http://update.joomla.org/core/list.xml
        Update: :Collection: Не удалось открыть http://update.joomla.org/jed/list.xml
        Update: :Collection: Не удалось открыть http://update.joomla.org/language/translationlist.xml

Обновления, к примеру, jcomments (http://www.joomlatune.ru/updates/jcomments-latest.xml и http://www.joomlatune.com/jcomments-modules.html), видит и устанавливаются.
У меня VPS, в PHP переменная allow_url_fopen естественно включена.
PHP 5.3, стоит XCache 3.х (пробовал кеширование отключать, не помогает)
*

omsk24

  • Новичок
  • 3
  • 1 / 0

Доброго времени суток! Автоматически не обновляется Версия 2.5.4. При попытке обновления вручную выполнил сл. шаги
1. Скачал  Joomla_2.5.x_to_2.5.14-Stable-Patch_Package.zip и ru-RU_joomla_lang_full_2.5.13v1.zip
2. Распаковал в папке /fc-molnija/public_html/tmp
3.выбрал установить из каталога /fc-molnija/public_html/tmp
СИСТЕМА пишет " Пожалуйста, укажите каталог пакета "
4. Если выбираю пункт Загрузить файл пакет и указываю ZIP файл, пишет
        JFolder::create: Не удалось создать каталог
        Внимание! Не удалось переместить файл!
 в
Базе данных 2 ошибки:    
    Версия обновления базы данных (2.5.3) не соответствует версии CMS (2.5.4).
    Таблица 'ygyo5_languages' не содержит поля 'access'. (из файла 2.5.4-2012-03-19.sql.)
Другая информация:
    Версия схемы базы данных (из #__schemas): 2.5.4-2012-03-19.
    Версия обновления (из #__extensions): 2.5.3.
    Драйвер БД: mysqli.
    62 изменений базы данных были успешно проверены.
    23 изменений базы данных не изменили структуру таблиц и были пропущены.
ЧТО ДЕЛАЮ  НеправильнО?


*

omsk24

  • Новичок
  • 3
  • 1 / 0
Да ошибки в Базе я ИСПРАВИЛ. Но результат тот же
*

omsk24

  • Новичок
  • 3
  • 1 / 0
 Нашел такой совет:
Неправильно указан путь к временной директории "tmp" в конфигурации Joomla.

Для того что бы указать правильный путь к директории нужно в административной панели Joomla перейти в "Сайт" - "Информация о системе" - вкладка "Информация о PHP". На это странице найти параметр "DOCUMENT_ROOT" и к нему добавить директорию "tmp". Т.е. полный путь будет выглядеть так - "Значение из DOCUMENT_ROOT/tmp". Путь к временной директории можно задать в административной панели Joomla "Сайт" - "Общие настройки" - вкладка "Сервер" - параметр "Путь к каталогу временных файлов".

Исправил каталог на /home/t/thermonasp/fc-molnija/public_html /tmp    ВСЕ ОДНО!
ПОМОЖИТЕ ЧЕМ МОЖИТЕ!
*

andreytver

  • Осваиваюсь на форуме
  • 58
  • 0 / 0
У меня проблема,  Joomla 2.5.9  обновление видит, но при обновлении процесс не движется, всегда 0%. На хостинге (TimeWeb) говорят этот вопрос к разработчикам. У меня много сайтов на Joomla и обновлять везде вручную проблемно. Может быть найдётся человек решивший подобную проблему?
*

Аня

  • Завсегдатай
  • 662
  • 32 / 0
  • Копатыч нестабилен!
На docs.joomla.org написано:
The Joomla Updater использует the php fopen command.
Those php configurations without fopen enabled will error with the following messages:
Update: :Collection: Could not update http://www.joomla.org/update/core/list.xml
Update: :Collection: Could not update http://www.joomla.org/update/jed/list.xml
You will not be able to use the Updater without enabling fopen for PHP. This is a web hosting issue.
Fatal error - это фатально!!!!
*

Vizer

  • Новичок
  • 3
  • 0 / 0
Аня, я только что написала своему хостингу с вопросом по этой теме и упомянула комманду fopen. Посмотрим, что они ответят.
У меня тоже ничего не получается исправить со своей стороны.
Спасибо за информацию! :)
*

Аня

  • Завсегдатай
  • 662
  • 32 / 0
  • Копатыч нестабилен!
У меня не работает авт. обновление, но fopen включен. И это можно увидеть в самой панели управления Joomla в настройках. Так что - увы! Тайна обновления по-прежнему остается тайной! Реально думаю - почему WP обновляется одним кликом без проблем?
Fatal error - это фатально!!!!
*

Vizer

  • Новичок
  • 3
  • 0 / 0
Ну вот, хостинг пока в замешательстве. Они переправили мой вопрос к администратору.
Но мне, в принципе, уже и не нужно. Я научилась добавлять новые языки на сайт вручную. Это можно сделать и без автомат. обновления (автомат. скачивания) языковых пакетов.

Похоже, что у этой проблемы могут быть разные причины. Проверила, php fopen включен. Разрешены обновления Temporary Directory. Можно еще много чего проверять...

Вот на английском несколько вариантов, что можно попробовать сделать:


http://www.peterrosenmai.com/upgrading-joomla-errors-warnings-and-fixes
« Последнее редактирование: 14.12.2013, 17:36:16 от Vizer »
*

Аня

  • Завсегдатай
  • 662
  • 32 / 0
  • Копатыч нестабилен!
Несчастные мы люди, вот что я скажу. Эта ошибка "Update: :Collection: Could not update ..." - по ходу, фатальная. Еще внутри 2 версии мы можем маневрировать, а вот на 3 уровень уже не перейдешь
Fatal error - это фатально!!!!
*

Аня

  • Завсегдатай
  • 662
  • 32 / 0
  • Копатыч нестабилен!
Я новую мысль нарыла. Мне написал наш сисадмин. По поводу ошибки
Если Joomla была установлена из дистрибутива, то интеграция Joomla с CPanel никакой нет. А именно CPanel управляет сервером, в том числе и файлом php.ini. Таким способом обновить Joomla либо не получится вообще, либо надо изучать документацию Joomla. CPanel поддерживает полную интеграцию с CMS Joomla, но в этом случае её надо устанавливать через раздел «Программное обеспечение сайта». При обновлении CPanel обновляется и Joomla. Последняя актуальная версия для нашего сервера Joomla2 (2.5.4) и Joomla (1.7.0).
Fatal error - это фатально!!!!
*

Аня

  • Завсегдатай
  • 662
  • 32 / 0
  • Копатыч нестабилен!
И с трешкой интеграции пока нет.
Fatal error - это фатально!!!!
*

Aleks_El_Dia

  • JComments Tester
  • 3742
  • 353 / 0
  • AEDStudio Joomla! Direction
Я новую мысль нарыла. Мне написал наш сисадмин. По поводу ошибки
Если Joomla была установлена из дистрибутива, то интеграция Joomla с CPanel никакой нет. А именно CPanel управляет сервером, в том числе и файлом php.ini. Таким способом обновить Joomla либо не получится вообще, либо надо изучать документацию Joomla. CPanel поддерживает полную интеграцию с CMS Joomla, но в этом случае её надо устанавливать через раздел «Программное обеспечение сайта». При обновлении CPanel обновляется и Joomla. Последняя актуальная версия для нашего сервера Joomla2 (2.5.4) и Joomla (1.7.0).
Какая еще интеграция с Cpanel? Видимо имелись ввиду предустановленные CMS в панели хостера, но никак не связь с существующим сайтом.
Спам придумали боги в отместку за наши молитвы (с) Рома Воронежский
На молоко: Z369038872422 || R210017695494 || U247040729215 || ЯД 410011288250383
Мигрирую сайты, переношу расширения J!1.0->J!1.5->J!2.5. Более 50 успешных миграций.
*

Аня

  • Завсегдатай
  • 662
  • 32 / 0
  • Копатыч нестабилен!
Хостинги с Cpanel ставят же Joomla - той версии, которая интегрирована в Cpanel (это выражение нашего сисадмина). Если Joomla на существующий сайт была установлена из раздела Cpanel, то с правами как-то легче. А впрочем все равно чепуха. Потому что другие компоненты же не интегрированы в Cpanel. Вообще разницы нет. Это автоматическое обновление не такое уж автоматическое - факт! С которым надо смириться
Fatal error - это фатально!!!!
*

Геныч

  • Давно я тут
  • 280
  • 9 / 0
Честно говоря, не могу понять услугу хостеров по установке CMS. Неужели сложно ту же Joomla установить самому?

Но автоматическое обновление или ручное по большому счету не важно. Гораздо важнее, имхо, обновляться вовремя. Но здесь, например, не могу решить ламерскую проблему - как установить в панель управления кнопку(иконку) - информатор о новой версии Joomla, если ее не стояло изначально?
*

Аня

  • Завсегдатай
  • 662
  • 32 / 0
  • Копатыч нестабилен!
Включить плагины

Quick Icon - Joomla! Extensions Updates Notification

Quick Icon - Joomla! Update Notification
Fatal error - это фатально!!!!
*

danadai

  • Осваиваюсь на форуме
  • 27
  • 0 / 0
Здравствуйте. Подскажите какой пакет обновлений выбрать для установки. На данный момент стоит Joomla! 2.5.17 Stable.  На сайте пакетов обновлений несколько. По моему разумению наверное   Joomla_2.5.x_to_2.5.27-Stable-Patch_Package.zip 3.43 MB имеется и такие пакеты Joomla_2.5.27-Stable-Update_Package.tar.gz 4.2 MB , Joomla_2.5.27-Stable-Update_Package.zip 6.39 MB. Может выбирать которые больше размером?
Чтобы оставить сообщение,
Вам необходимо Войти или Зарегистрироваться
 

После обновления не работает модуль

Автор virtualov

Ответов: 3
Просмотров: 273
Последний ответ 20.11.2017, 08:29:32
от Adisanut
Обновление с 2.5.19

Автор derenikp

Ответов: 5
Просмотров: 297
Последний ответ 10.02.2017, 21:31:19
от derenikp
Обновление с 2.5.6 до 3.х Joomla. КАК ЖЕ?)))

Автор FeranD

Ответов: 1
Просмотров: 489
Последний ответ 10.02.2017, 12:16:47
от Apoca1ypto
обновление AkeebaBackup

Автор Felix2000

Ответов: 49
Просмотров: 692
Последний ответ 13.11.2016, 09:58:49
от vipiusss
Нужна помощь! Обновление Joomla 2.3 до самой свежей версии!

Автор eprofit

Ответов: 3
Просмотров: 492
Последний ответ 23.07.2016, 06:45:35
от vipiusss